/*
  DU_LIB v2
  Gem Window Management & Dialog Library For Lattice C
  1994, by Craig Graham.
  
  Based on the DU_LIBv1 Library for HiSoft Basic.
*/

/*
  Dialog Text Manipulation
*/

#include "dulib.h"

/* Sets a text object in a dialog to a given string*/
short set_dialog_text(short dialog, short object, char* t)
{
	OBJECT* TheDial;
	OBJECT* ob;
	TEDINFO* tedinfoblk;

	rsrc_gaddr(0,dialog,&TheDial);			/*Address of dialog*/
	ob=TheDial+object;						/*Address of object*/

	tedinfoblk=(TEDINFO*)ob->ob_spec;		/*Address of TedInfo structure*/

	tedinfoblk->te_ptext=t;
	tedinfoblk->te_txtlen=strlen(t);

	return 0;
}
